EDIT - feature request #7865

Remaining factual data view label issues
10/25/2018 10:55 AM - Patrick Plitzner

Status: Resolved Start date:

Priority: Highest Due date:

Assignee: Andreas Muller % Done: 80%
Category: taxeditor Estimated time: 0:00 hour
Target version: Release 5.6

Severity: normal

Description

Copied from #7775:

e |f a source is added in the details view, and the titleCache is not protected, it should be generated into the label
¢ we should allow to set titleCache to protected, otherwise it is not possible to use user defined labels for descriptions
e Use titleCache field instead of label text field for descriptions

Related issues:

Related to EDIT - bug #8200: Changing title(cache) for factual data set not p... Closed
Related to EDIT - bug #8234: Move description elements issues Closed
Copied from EDIT - feature request #7775: Factual Data label issue Closed

Associated revisions

Revision a213a051 - 11/23/2018 11:58 AM - Patrick Plitzner

ref #7865 Update source details when editing source

Revision 61100aa0 - 04/10/2019 09:01 AM - Patrick Plitzner
ref #7865 Change method signature for checking for dirty taxa editors

Revision 48c401d4 - 04/10/2019 09:02 AM - Patrick Plitzner

ref #7865 Fix titleCache generation when moving taxon descriptions

Revision 0831d056 - 04/11/2019 10:31 AM - Patrick Plitzner

ref #7865 Fix description label generation when moving

Revision 03a51f97 - 04/11/2019 10:32 AM - Patrick Plitzner

ref #7865 Continue move operation after saving

Revision 0abb2f54 - 04/11/2019 11:00 AM - Patrick Plitzner

ref #7865 Add move message to protected title caches

Revision 6b528faf - 04/15/2019 03:53 PM - Patrick Plitzner

ref #7865 Fix titleCache generation when moving taxon descriptions

Revision 51bf4258 - 04/15/2019 03:53 PM - Patrick Plitzner

ref #7865 Fix description label generation when moving

Revision dfce3d2a - 04/15/2019 03:53 PM - Patrick Plitzner

ref #7865 Add move message to protected title caches

History

#1 - 10/25/2018 10:55 AM - Patrick Plitzner

- Tracker changed from bug to feature request

#2 - 10/25/2018 10:55 AM - Patrick Plitzner
- Copied from feature request #7775: Factual Data label issue added

#3 - 01/30/2019 12:37 PM - Patrick Plitzner

- Target version changed from Release 5.5 to Release 5.6

#4 - 02/20/2019 03:43 PM - Patrick Plitzner
- Priority changed from New to Highest

#5 - 02/20/2019 03:47 PM - Patrick Plitzner

- Target version changed from Release 5.6 to Reviewed Next Major Release

#6 - 03/28/2019 08:29 AM - Patrick Plitzner
- Related to bug #8200: Changing title(cache) for factual data set not possible added

#7 - 03/28/2019 02:09 PM - Patrick Plitzner

- Status changed from New to Resolved

- Assignee changed from Patrick Plitzner to Andreas Mliller

- Target version changed from Reviewed Next Major Release to Release 5.6

- % Done changed from 0 to 50

this should be fixed by fixing #8200

#8 - 04/01/2019 03:38 PM - Patrick Plitzner

- Assignee changed from Andreas Miiller to Patrick Plitzner

#9 - 04/03/2019 12:40 PM - Patrick Plitzner

- Assignee changed from Patrick Plitzner to Katja Luther

#10 - 04/05/2019 09:00 AM - Katja Luther

- Assignee changed from Katja Luther to Andreas Miiller

Works as excpected.

Tested on nightly. Added a factual data set and open the lock to edit the label, after save the user defined label was ok. Open the lock again and the
label was generated again.

The same for factual data set with source.

#11 - 04/08/2019 01:20 PM - Andreas Miiller
- Status changed from Resolved to Feedback

- Assignee changed from Andreas Miiller to Patrick Plitzner

When | move a description (with no protected title cache) from 1 taxon to another taxon now the label of the new description is the standard label
"Factual data set for xxx". Not long time ago it was something like "Data moved from taxon A" (not sure what it was exactly). This was important
information and it is a serious regression. However, it did not come with the fix of this ticket but a bit earlier | think.

| don't know exactly how we can fix this best. We could put it to protected and use the old created text. But what, if we move it againg and it is
protected, can we then simply change the label again?

Any ideas?

Maybe as a first step we could investigate how it was before and why the "moved" text is not shown anymore.

#12 - 04/10/2019 09:03 AM - Patrick Plitzner

- Related to bug #8234: Move description elements issues added

#13 - 04/10/2019 09:05 AM - Patrick Plitzner
- Status changed from Feedback to Resolved
- Assignee changed from Patrick Plitzner to Andreas Mliller

- % Done changed from 50 to 80

The titlecache issue is solved. Some other issues came up while fixing this ticket -> #8234
#14 - 04/11/2019 09:20 AM - Andreas Miiller

Patrick Plitzner wrote:
The titlecache issue is solved. Some other issues came up while fixing this ticket -> #8234
It is solved according to the description of this ticket. But also a regression (described in #note-11) has been implemented in this ticket or in the

previous ticket #7775. This is a critical regression because it removed a user requirement which was in place for many years and which the users
want to have. Regressions should be fixed before closing a ticket.

#15 - 04/11/2019 09:27 AM - Andreas Miiller
- Status changed from Resolved to Feedback

- Assignee changed from Andreas Miiller to Patrick Plitzner

As mentioned in note-11 the solution for the problem is not so easy. First of all we should have a look how it was implemented before and why it does
not work anymore.

One step to solve could be to use the old text for "Moved from ..." and set the titleCache to protected then to avoid that the text gets lost. Difficult
question is how to handle already protected caches. Should we simply attache the text to the already existing text (concatenated with ". "). Or is there
a better solution?

A completely differen solution could be to simply attache a source of source type "Lineage" which keeps the "moved from" text in the original info field.
To me this seems to be a reasonable solution but it needs to be discussed with the users. Maybe also a combination of both might be the best.

#16 - 04/11/2019 11:06 AM - Patrick Plitzner
- Status changed from Feedback to Resolved
- Assignee changed from Patrick Plitzner to Andreas Mliller

It has now be solved like this:

e TitleCache is protected -> <old TitleCache> - <Move message>
¢ TitleCache is not protected -> <Move message>
